-- Base major and minor axes
function Pa()
  return macalc.rcl(1)
end

function Pb()
  return macalc.rcl(2)
end

function Ph()
  return macalc.rcl(3)
end

function F()
  return Pb()-Ph()
end

function Fa()
  return sqrt(Pa()^2-(Pa()^2*F()^2/Pb()^2))
end

function Fb()
  return sqrt(Pb()^2-F()^2)
end

function lua_main()
  return Fa(), Fb()
end
